/// <reference types="react" />
import { FormContextType, RJSFSchema, StrictRJSFSchema, WidgetProps } from '@rjsf/utils';
/** The `TextareaWidget` is a widget for rendering input fields as textarea.
 *
 * @param props - The `WidgetProps` for this component
 */
declare function TextareaWidget<T = any, S extends StrictRJSFSchema = RJSFSchema, F extends FormContextType = any>({ id, options, placeholder, value, required, disabled, readonly, autofocus, onChange, onBlur, onFocus, }: WidgetProps<T, S, F>): JSX.Element;
declare namespace TextareaWidget {
    var defaultProps: {
        autofocus: boolean;
        options: {};
    };
}
export default TextareaWidget;
